<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides checkout capabilities.
 *
 * @package    Checkout
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Model_Checkout_Notify extends ORM_OSB implements Invoicable {
	// Relationships
	protected $_has_one = array(
		'checkout'=>array('far_key'=>'checkout_id','foreign_key'=>'id'),
	);

	protected $_display_filters = array(
		'date_orig'=>array(
			array('Config::date',array(':value')),
		),
	);

	public function invoice_item($item_type) {
		return sprintf('Payment Fee: %s',$this->checkout->name);
	}

	public function process() {
		return $this->checkout->plugin()->notify($this);
	}
}
?>
